Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRElementsVisitor

    java.lang.Object
      net.sf.jasperreports.engine.util.JRDelegationVisitor
          net.sf.jasperreports.engine.util.JRElementsVisitor

All Implemented Interfaces:
  JRVisitor

    public class JRElementsVisitor

extends JRDelegationVisitor

Report elements visitor. This class can be used to recursively visit all the elements of a report.

Version:
  $Id: JRElementsVisitor.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRElementsVisitor(JRVisitor visitor)` Creates a report visitor.

Method Summary
`protected void` | `visitBand(JRBand band)`
`void` | `visitCrosstab(JRCrosstab crosstab)` Visits the crosstab and the elements in all its cells.
`protected void` | `visitCrosstabCell(JRCellContents cell)`
`void` | `visitElementGroup(JRElementGroup elementGroup)` Visits the element group and all its children.
`protected void` | `visitElements(java.util.List elements)`
`void` | `visitFrame(JRFrame frame)` Visits the frame and all its children.
`void` | `visitReport(JRReport report)` Visits all the elements of a report.
`static void` | `visitReport(JRReport report, JRVisitor visitor)` Visits all the elements of a report.
`protected void` | `visitSection(JRSection section)`

Methods inherited from class net.sf.jasperreports.engine.util.JRDelegationVisitor
`getVisitor, visitBreak, visitChart, visitComponentElement, visitEllipse, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRElementsVisitor

    public JRElementsVisitor(JRVisitor visitor)

  Creates a report visitor.

  Parameters:
    `visitor` - the elements visitor

Method Detail

### visitReport

    public static void visitReport(JRReport report,
                                   JRVisitor visitor)

  Visits all the elements of a report.

  Parameters:
    `report` - the report
    `visitor` - the element visitor

### visitReport

    public void visitReport(JRReport report)

  Visits all the elements of a report.

  Parameters:
    `report` - the report

### visitSection

    protected void visitSection(JRSection section)

### visitBand

    protected void visitBand(JRBand band)

### visitElements

    protected void visitElements(java.util.List elements)

### visitElementGroup

    public void visitElementGroup(JRElementGroup elementGroup)

  Visits the element group and all its children.

  Specified by:
    `visitElementGroup` in interface `JRVisitor`
  Overrides:
    `visitElementGroup` in class `JRDelegationVisitor`

### visitFrame

    public void visitFrame(JRFrame frame)

  Visits the frame and all its children.

  Specified by:
    `visitFrame` in interface `JRVisitor`
  Overrides:
    `visitFrame` in class `JRDelegationVisitor`

### visitCrosstab

    public void visitCrosstab(JRCrosstab crosstab)

  Visits the crosstab and the elements in all its cells.

  Specified by:
    `visitCrosstab` in interface `JRVisitor`
  Overrides:
    `visitCrosstab` in class `JRDelegationVisitor`

### visitCrosstabCell

    protected void visitCrosstabCell(JRCellContents cell)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com